%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Function sym_tensor(M,n).
% Input: matrix M with dimension R^{n^2,n^2}, 
% Output: tensor T with dimension R^{n,n,n,n}.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function T=MatrixToTensor(M,n)
t=zeros(n,n,n,n);

for k=1:n
    for l=1:n
         t(:,:,k,l)=(reshape(M(:,((k-1)*n+l)),n,n))';
    end
end
        
        
 
T=t;