%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Problem: min_Y mu*ro*||Y||_*+ 1/2 * ||Y-(X-mu*(Lambda-F))||_F^2 
% Input:   matries X,F,Lambda \in \R^{n^2*n^2}, scalers mu, ro, n
% Output:  matrix Y
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


function Y = UpdateY_SDP(X,F,Lambda,mu)

Z = X - mu*(Lambda-F);
Z = (Z+Z')/2; 
[V,D] = eig(Z);
d = real(diag(D));
v = max(d,0); Y = V*diag(v)*V';
